:
:   4MSF.BAT Sets up the path and environment variables needed to use   
:            the MicroSoft Fortran Compiler, version 5.1.
:            See 4MSF50.bat and FTNSET.BAT also. 
:
:   Requirements:  
:   1) AUTOEXEC.BAT (or something.BAT) must have defined the AGROOT,
:      MSFROOT, and MYDSK environment variables before this
:      is called.  The PATHDIR environment variable too, if a RAM disk
:      is available.  April uses:
:          SET AGROOT=L:\AGRAM
:          SET MSFROOT=I:\PROGS\MSF
:          SET PATHDIR=Q:\ZZ
:      and SET MYDSK=L:  (=the disk where working version of AGRAMLIB
:                          lives.)
:   2) If a RAM disk is to be used:
:      2a) The RAM disk must already have been established via 
:          the CONFIG.SYS file.  Various RAM disk drivers are 
:          available, but to invoke the Microsoft DOS version of 
:          the ram disk driver ("RAMDRIVE"), use something like:
:              DEVICE=C:\MSDOS33\RAMDRIVE.SYS 3456 512 64 /E 
:          in your CONFIG.SYS.
:      2b) AUTOEXEC.BAT (or something.BAT) must have done: 
:          SET PATHDIR=<whatever>
:          PATH=%PATHDIR%;%PATH%    
:    
:
@echo off
COPY %AGROOT%\4MSF\4msf.bat %AGROOT%\compiler.bat
SET FORTRAN=MSF   
if $ == $%RAMDSK% goto NOCOPY  
:
:   If we have a RAM disk, move most the fortran stuff there.
:
echo on
xcopy %MSFROOT%\bin\f1*.*        %PATHDIR%\*.*  /v  
xcopy %MSFROOT%\bin\f2*.*        %PATHDIR%\*.*  /v
xcopy %MSFROOT%\bin\f3*.*        %PATHDIR%\*.*  /v
xcopy %MSFROOT%\bin\fl*.*        %PATHDIR%\*.*  /v
xcopy %MSFROOT%\bin\link*.*      %PATHDIR%\*.*  /v
xcopy %MSFROOT%\bin\nmake.*      %PATHDIR%\*.*  /v 
xcopy %MSFROOT%\bin\lib*.*       %PATHDIR%\*.*  /v 
: if needed:  xcopy %MSFROOT%\bin\cv*.*        %PATHDIR%\*.*  /v  
xcopy %MSFROOT%\lib\llibfor7.lib %PATHDIR%\*.*  /v 
: if needed:  xcopy %MSFROOT%\lib\llibforA.lib %PATHDIR%\*.*  /v
xcopy %MSFROOT%\lib\graphics.lib %PATHDIR%\*.*  /v
:
xcopy %MYDSK%\msfaglib\msfaglib.lib      %PATHDIR%\*.*  /v
xcopy %AGROOT%\4msf\*.bat                %PATHDIR%\*.*  /v 
xcopy %AGROOT%\4msf\tools.ini            %PATHDIR%\*.*  /v 
:  
@echo off
SET TMP=%RAMDSK%\ 
SET LIB=%PATHDIR%
SET INIT=%PATHDIR% 
goto SKIP    
:
:  If no RAM disk:
:
:NOCOPY  
PATH=%MSFROOT%\bin;%AGROOT%\4msf;%PATH% 
IF $ == $%TMP% SET TMP=%MYDSK%\temp
SET LIB=%WRKDSK%\MSFAGLIB;%MSFROOT%\lib 
SET INIT=%AGROOT%\4msf
:
:   Regardless of whether there's a RAM disk or not:
: 
:SKIP
SET INCLUDE=%MSFROOT%\include 
SET HELPFILES=%MSFROOT%\help\*.hlp
:
:   Now set the default options for the linker and compiler.
:   See comments at the end of FTNSET.BAT
: 
CALL %AGROOT%\4msf\FTNSET.BAT
:
:   For compiling withing the Brief text editor:
:
set bcfor="!fl /c %%s.for"


