:!
:!   GILROY21.BAT: (PC version)
:!                 generate the Gilroy #2 test case shown
:!                 in Appendix B of the BAP User's Guide.
:!
@echo on
@echo.
@echo  +++ Is it OK to delete all GIL*.APS files in the local dir?
@echo      (If not, type CNTRL+C to abort this run.)
@echo.
@pause
del gil*.aps
:!
BAP idc=g1, %agroot%\testdata\gilroy21.smc, @gilroy21.brp
IF errorlevel 1 goto STOPIT
:!
:!  Plot results from the FAS steps.
:!  (note that the RESPON step has been commented-out in the
:!   GILROY21.BRP file, so there is no RESPON plot in GILC.APS.)
:!
rename g1plots.aps gilc.aps
pause
:! +++ maybe: print gilc.aps
:!
:!  Plot time series, including pads.
:!  (Choose either of the next two PTSP command lines, not both.)
:!
:! +++ ptsp g1inout.bbf,g1acc.bbf,g1vel.bbf,g1dis.bbf, -10,38,48,  @a.tsp
ptsp g1inout.bbf,g1acc.bbf,g1vel.bbf,g1dis.bbf,-10,38,48,nopeak,twoyax,twoxax,portrait
IF errorlevel 1 goto STOPIT
rename plots.aps gila.aps
pause
:! +++ maybe: print gila.aps
:!
:!  Plot time series without the pads, 20 seconds per page:
:!
ptsp g1acc.bbf,g1vel.bbf,g1dis.bbf, twoyax,twoxax, nopads
IF errorlevel 1 goto STOPIT
rename plots.aps gilb.aps
:! +++ maybe: print gilb.aps
@echo.
@echo  +++ Done!  You may want to display or print the plots in the
@echo             GILA.APS, GILB.APS and GILC.APS files now.  To
@echo             display GILA.APS on your screen, for example, type:
@echo                SCRPLOT GILA.APS
@echo             To print it (the printer must be a postscript
@echo             printer), type:
@echo                PRINT GILA.APS
goto DONE
:!
:!   abnormal end:
:!
:STOPIT
@echo.
@echo  *** OOps! Something went wrong.  Abnormal end.
:DONE
 
